﻿#region Header

/*
Behavioral Rating of Dancing Human Crowds based on Motion Patterns
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System.Drawing;
using Emgu.CV.Structure;

#endregion

namespace paravili {
	/// <summary>
	/// Represents a point that has an additonal color value
	/// </summary>
	public class ColoredPoint {
		#region Public Properties

		public Point P { get; set; }
		public Lab Color { get; set; }

		#endregion
	}
}