﻿#region Header

/*
Behavioral Rating of Dancing Human Crowds based on Motion Patterns
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System.Windows.Threading;
using Sebarf.Services.Interfaces;

#endregion

namespace paravili.Services {
	/// <summary>
	/// Description of the class
	/// </summary>
	public class DispatcherLocatorService : Service, IDispatcherLocatorService {
		#region Public Properties

		// public Properties located here

		#endregion

		#region Public Methods

		public DispatcherLocatorService(Dispatcher dispatcher) {
			m_dispatcher = dispatcher;
		}

		#endregion

		#region Private Methods

		// private methods located here

		#endregion

		#region Private Fields

		private readonly Dispatcher m_dispatcher;

		#endregion

		#region IDispatcherLocatorService Members

		public Dispatcher GetDispatcher() {
			return m_dispatcher;
		}

		#endregion
	}
}