﻿#region Header

/*
Behavioral Rating of Dancing Human Crowds based on Motion Patterns
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

#endregion

namespace paravili.Services {
	/// <summary>
	/// represents a data source that needs to initialize and to clean up
	/// </summary>
	public interface IDisposableCaptureSource : ICaptureSource {
		#region Public Methods

		/// <summary>
		/// initializes the datasource
		/// </summary>
		void DoInit();

		/// <summary>
		/// do clean up stuff
		/// </summary>
		void DoCleanUp();

		#endregion
	}
}