﻿#region Header
/*
Behavioral Rating of Dancing Human Crowds based on Motion Patterns
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/
#endregion

#region Usings

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

#endregion

namespace paravili.Services {

	/// <summary>
	/// Description of the class
	/// </summary>
	public interface IImageValidRegionProvider {

		#region Public Properties

		bool[,] InvalidRegionByRowAndColumn { get; set; }

		#endregion

		#region Public Methods

		void ResetInvalidRegionData();

		#endregion

		#region Private Methods

		// private methods located here

		#endregion

		#region Private Fields

		// private fields located here

		#endregion
	}
}
