﻿#region Header

/*
Behavioral Rating of Dancing Human Crowds based on Motion Patterns
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

#endregion

namespace paravili.Services {
	/// <summary>
	/// is responsible for respond the application time, 
	/// the application time is defined by the amount of frames played since the last startup
	/// </summary>
	public interface ITimeService {
		#region Public Properties

		void IncreaseTime();

		/// <summary>
		/// returns the current time of the application
		/// the application time is defined by the amount of frames played since the last startup
		/// </summary>
		/// <returns></returns>
		int GetTime();

		#endregion
	}
}