﻿#region Header

/*
Behavioral Rating of Dancing Human Crowds based on Motion Patterns
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using Sebarf.Services.Interfaces;

#endregion

namespace paravili.Services {
	/// <summary>
	/// Description of the class
	/// </summary>
	public class RootPathProviderService : Service, IRootPathProviderService {
		#region Public Properties

		// public Properties located here

		#endregion

		#region Public Methods

		public RootPathProviderService(string path) {
			m_path = path;
		}

		#endregion

		#region Private Methods

		private readonly string m_path;

		#endregion

		#region Private Fields

		// private fields located here

		#endregion

		#region IRootPathProviderService Members

		public string GetPath() {
			return m_path;
		}

		#endregion
	}
}