﻿#region Header

/*
Behavioral Rating of Dancing Human Crowds based on Motion Patterns
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using Sebarf.Core.Interfaces;
using Sebarf.Services.Impl;
using Utils;

#endregion

namespace paravili.Steps {
	/// <summary>
	/// Description of the class
	/// </summary>
	public class ServiceDependencySolver {
		#region Public Properties

		// public Properties located here

		#endregion

		#region Public Methods

		public static void ResolveDependencies(IProcessStep rootStep, IServiceLocatorService serviceLocator) {
			IProcessStep step = rootStep;
			while (step != null) {
				var handler = new ResolveDependenciesRequestHandler();
				handler.ProcessRequest(new ResolveDependenciesRequest { ResolveMyReferences = step }, serviceLocator);
				step = step.GetNextStep();
			}
		}

		#endregion

		#region Private Methods

		// private methods located here

		#endregion

		#region Private Fields

		// private fields located here

		#endregion
	}
}