package lpl;

/**
 * Classes that implement this interface are interested in receiving
 * status messages from the LPL library during compilation.
 * 
 * @author <a href="mailto:matthias.buchs@unifr.ch">Matthias Buchs </a>
 * @see lpl.NativeLPL
 */
public interface LPLCallback {
    /** Hook on the callback method invoked by LPL */    
    public void callback();
}
