﻿#region Header

/*
Behavioral Rating of Dancing Human Crowds based on Motion Patterns
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

#endregion

namespace Tests.Basics {
	/// <summary>
	/// Description of the class
	/// </summary>
	[TestClass]
	public class TestArray {
		#region Public Properties

		// public Properties located here

		#endregion

		#region Public Methods

		[TestMethod]
		public void CopyArray() {
			var data = new[,] { { 1, 2, 3 }, { 4, 5, 6 }, { 7, 8, 9 } };
			var restult = new int[2, 2];
			Array.Copy(data, 5, restult, 0, 4);
			Assert.AreEqual(restult[0, 0], data[1, 2]);
		}

		#endregion

		#region Private Methods

		// private methods located here

		#endregion

		#region Private Fields

		// private fields located here

		#endregion
	}
}