﻿#region Header

/*
Behavioral Rating of Dancing Human Crowds based on Motion Patterns
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using Microsoft.VisualStudio.TestTools.UnitTesting;
using Tests.Basics.UI;

#endregion

namespace Tests.Basics {
	/// <summary>
	/// Tries to count persons by find lokal optimumns in the colour intensity
	/// </summary>
	[TestClass]
	public class TestPersonCountingByColour {
		#region Test Methods

		// public methods located here

		[TestMethod]
		[DeploymentItem("Images\\TestColourRelief")]
		[DeploymentItem("..\\Libraries\\OpenCV")]
		public void TestCaseOne() {
			new PersonCountingByColour().ShowDialog();
		}

		#endregion
	}
}