﻿#region Header

/*
Behavioral Rating of Dancing Human Crowds based on Motion Patterns
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;
using System.Collections.Generic;
using System.Globalization;
using System.Windows.Data;
using paravili.Steps;

#endregion

namespace paravili.Ui {
	/// <summary>
	/// Inpect the given object for configurabele values
	/// </summary>
	[ValueConversion(typeof(Object), typeof(IList<ConfigurableValueEntry>))]
	public class ObecjtToConfigurableValuesConverter : IValueConverter {
		#region IValueConverter Members

		public object Convert(object value, Type targetType, object parameter, CultureInfo culture) {
			return ConfigurableValuesManager.FindConfigurableProperties(value);
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture) {
			throw new NotImplementedException();
		}

		#endregion
	}
}