﻿#region Header

/*
Behavioral Rating of Dancing Human Crowds based on Motion Patterns
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

namespace paravili.Services {
	/// <summary>
	/// is responsible for providing all available <see cref="ICaptureSource"/>s.
	/// </summary>
	public interface ICaptureSourceLocatorService {
		#region Public Methods

		ICaptureSource[] GetAvailableSources();

		#endregion
	}
}