﻿#region Header

/*
Behavioral Rating of Dancing Human Crowds based on Motion Patterns
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;
using Emgu.CV;
using Emgu.CV.Structure;

#endregion

namespace paravili.Services {
	/// <summary>
	/// is responsible for storing a image 
	/// </summary>
	public interface IImageProviderService {
		#region Public Methods

		void SetImage(string id, Image<Lab, Byte> image);

		#endregion
	}
}