﻿#region Header

/*
Behavioral Rating of Dancing Human Crowds based on Motion Patterns
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;

#endregion

namespace paravili.Services {
	/// <summary>
	/// is responsible for notyfing the system that
	/// for example when the capture source has been changed, a global reset has been requested.
	/// </summary>
	public interface IResetHandlerService {
		#region Public Properties

		event EventHandler Reset;

		#endregion

		#region Public Methods

		void DoReset();

		#endregion
	}
}