﻿#region Header

/*
Behavioral Rating of Dancing Human Crowds based on Motion Patterns
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;
using Sebarf.Services.Interfaces;

#endregion

namespace paravili.Services {
	/// <summary>
	/// Impl of <see cref="IResetHandlerService"/>
	/// </summary>
	public class ResetHandlerService : Service, IResetHandlerService {
		#region IResetHandlerService Members

		public event EventHandler Reset;

		public void DoReset() {
			if (Reset != null) {
				Reset(this, EventArgs.Empty);
			}
		}

		#endregion
	}
}