package lpl;

/**
 * Classes that implement this interface are interested in receiving
 * log messages from the LPL library during compilation.
 * 
 * @author <a href="mailto:matthias.buchs@unifr.ch">Matthias Buchs </a>
 * @see lpl.NativeLPL
 */

public interface LogCallback {
    /** Hook on the callback method invoked by LPL
     *  @param message log message passed to LPL
     */    
    public void callback(String message);
}
